Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface NodeRef

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  FileRef, FunctionCollectionRef, FunctionRef, SchemaRef, WebServicePolicyRef, WebServiceRef

    public interface NodeRef

extends java.io.Serializable

A node reference
A node reference uniquely identifies an entity node in the metadata graph. All node reference instances referring to the same entity node that are maintained by a single DSP application are identical (in the object sense).

Node references should not be confused with the `String` id field of a `Node` `Node`. Node references are structured node identifiers that allow for introspection of their kind as opposed to the id fields which are flat `String`s.

Nested Class Summary
`static class` | `NodeRef.Factory`

Field Summary
`static java.util.ResourceBundle` | `captions`
`static char` | `FUNCTION`
`static char` | `FUNCTION_COLLECTION`
`static char` | `PRIMARY_SCHEMA`
`static char` | `WEB_SERVICE`
`static char` | `WEB_SERVICE_POLICY`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`char` | `getKind()`

Field Detail

### captions

    static final java.util.ResourceBundle captions

### FUNCTION_COLLECTION

    static final char FUNCTION_COLLECTION

See Also:
  Constant Field Values

### PRIMARY_SCHEMA

    static final char PRIMARY_SCHEMA

See Also:
  Constant Field Values

### FUNCTION

    static final char FUNCTION

See Also:
  Constant Field Values

### WEB_SERVICE

    static final char WEB_SERVICE

See Also:
  Constant Field Values

### WEB_SERVICE_POLICY

    static final char WEB_SERVICE_POLICY

See Also:
  Constant Field Values

Method Detail

### getKind

    char getKind()

### equals

    boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.